#  SHIBOKEN_INCLUDE_DIR        - Directories to include to use SHIBOKEN
#  SHIBOKEN_LIBRARY            - Files to link against to use SHIBOKEN
#  SHIBOKEN_BINARY             - Executable name
#  SHIBOKEN_BUILD_TYPE         - Tells if Shiboken was compiled in Release or Debug mode.
#  SHIBOKEN_PYTHON_INTERPRETER - Python interpreter (regular or debug) to be used with the bindings.
#  SHIBOKEN_PYTHON_LIBRARIES   - Python libraries (regular or debug) Shiboken is linked against.

SET(SHIBOKEN_INCLUDE_DIR "/usr/include/shiboken")
if(MSVC)
   SET(SHIBOKEN_LIBRARY "/usr/lib/libshiboken-python2.5-dbg.lib")
elseif(WIN32)
    SET(SHIBOKEN_LIBRARY "/usr/bin/libshiboken-python2.5-dbg.so")
else()
    SET(SHIBOKEN_LIBRARY "/usr/lib/libshiboken-python2.5-dbg.so")
endif()
SET(SHIBOKEN_PYTHON_INCLUDE_DIR "/usr/include/python2.5")
SET(SHIBOKEN_PYTHON_INCLUDE_DIR "/usr/include/python2.5")
SET(SHIBOKEN_PYTHON_INTERPRETER "/targets/maemo5-i386-8b5dfd8b75a5b34d377dc576c27c5419191b7f34/usr/bin/python2.5-dbg")
SET(SHIBOKEN_PYTHON_LIBRARIES "/usr/lib/python2.5/config/libpython2.5.so")
SET(SHIBOKEN_PYTHON_BASENAME "python2.5-dbg")
message(STATUS "libshiboken built for Debug")
add_definitions("-DPy_DEBUG")

set(SHIBOKEN_BINARY "/usr/bin/shiboken")
